import request from '@/utils/request'
// 获取设备列表
export function getDeviceList(params) {
  return request({
    url: '/sharedWhiteBoard/cms/device',
    method: 'get',
    params
  })
}
// 获取安装维护人员列表
export function getDeviceModifierList(params) {
  return request({
    url: '/sharedWhiteBoard/cms/deviceModifier',
    method: 'get',
    params
  })
}
// 添加安装维护人员
export function addDeviceModifier(data) {
  return request({
    url: '/sharedWhiteBoard/cms/deviceModifier',
    method: 'post',
    data
  })
}
// 修改安装维护人员
export function setDeviceModifier(data) {
  return request({
    url: '/sharedWhiteBoard/cms/deviceModifier',
    method: 'put',
    data
  })
}
// 查询设备日志
export function queryLogList(params) {
  return request({
    url: '/sharedWhiteBoard/cms/deviceLog',
    method: 'get',
    params
  })
}
// 更新设备维护人员
export function setDeviceAdmin(data) {
  return request({
    url: '/sharedWhiteBoard/cms/device',
    method: 'put',
    data
  })
}
// 修改安装维护人员
export function setDeviceStatus(data) {
  return request({
    url: '/sharedWhiteBoard/cms/deviceModifier',
    method: 'put',
    data
  })
}
