import Cookies from 'js-cookie'

const TokenKey = 'adminUid'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function setType(token) {
  return Cookies.set('type', token)
}

export function getType() {
  return Cookies.get('type')
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}
